GINQ_OP_ST(3NCARG)

NAME
ginq_op_st - returns the operating state of GKS

SYNOPSIS
#include <ncarg/gks.h>

void ginq_op_st(Gop_st *op_st);

DESCRIPTION

op_st
    (Output) - Returns the GKS operating state:

    GST_GKCL
        GKS is closed

    GST_GKOP
        GKS is open

    GST_WSOP
        Additionally, a workstation is open

    GST_WSAC
        Additionally, a workstation is active

    GST_SGOP
        Additionally, a segment is open

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gopen_gks(3NCARG), gopen_ws(3NCARG), gactivate_ws(3NCARG), gdeactivate_ws(3NCARG), gclose_ws(3NCARG), gclose_gks(3NCARG), opngks(3NCARG), clsgks(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.